fwanalog (0.6.9-14) unstable; urgency=medium

  * QA upload.

  [ Luca Boccassi ]
  * Install and use sysusers.d/tmpfiles.d config files

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Jul 2026 15:13:45 +0200

fwanalog (0.6.9-13) unstable; urgency=medium

  * QA upload.
  * Use dh-cruft to register & purge /var/log/fwanalog
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.4, drop Priority: tag
  * Remove 2 unused entries from debian/source/include-binaries.
  * Add missing colon in closes line.
  * Run debconf-updatepo after template changes.
  * Rename files under debian/ for future debhelper 14 compatibility
  * Trim whitespace from debian/fwanalog.post{inst,rm}

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Jun 2026 13:04:17 +0200

fwanalog (0.6.9-12) unstable; urgency=medium

  * QA upload.
  * debian/patches/fix-contributors-encoding: New.
  * debian/po/{fr,it,sv}.po:
    - Change encoding to UTF-8.
    - Update copyright.
  * debian/postinst: Remove unneed recursive chown.

 -- Henrique Romaniuk Ramalho <henriqueramalho@alunos.utfpr.edu.br>  Thu, 27 Nov 2025 10:00:17 -0300

fwanalog (0.6.9-11) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.1.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 15 Nov 2024 20:12:50 +0100

fwanalog (0.6.9-10) unstable; urgency=medium

  * QA upload.
  * All all debconf translators to debian copyright.
  * Update Brazilian Portuguese debconf translations.
    Thanks Paulo Henrique de Lima Santana. (Closes: #1028016)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 25 Feb 2023 18:11:59 +0100

fwanalog (0.6.9-9) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.
  * Convert 3.0 (quilt) format (Closes: #1007547).

 -- Bastian Germann <bage@debian.org>  Mon, 29 Aug 2022 16:41:24 +0200

fwanalog (0.6.9-8) unstable; urgency=medium

  * QA upload.
  * Build-Depend on rename. (Closes: #825220)
  * Use debhelper 10.
  * Fix a typo in README.Debian

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 31 Aug 2017 01:22:27 +0200

fwanalog (0.6.9-7) unstable; urgency=low

  * Orphaning the package. Maintainer field set to QA Group, drop Uploaders.
  * Acknowledge NMUs. Thanks David and Christian!
  * Remove /etc/default/fwanalog upon purge. (Closes: #668743)
  * Update Standards-Version.
  * Add missing debian/rules targets: build-arch and build-indep.

 -- Emanuele Rocca <ema@debian.org>  Wed, 20 May 2015 06:16:08 +0200

fwanalog (0.6.9-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add Danish debconf template translation, Joe Hansen. (Closes: #685410)
  * Add Polish debconf template translation, Michał Kułach. (Closes: #685948)

 -- David Prévot <taffit@debian.org>  Tue, 28 Aug 2012 16:11:47 -0400

fwanalog (0.6.9-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * List mailutils first in package dependencies
  * Don't marker "Default: root" as translatable in templates
  * Fix extra space before colon in debconf templates
  * Use "__Choices" instead of "_Choices" in templates
  * Allow translators to change the default output language for
    their languages
  * Drop Maintainer from Uploaders
  * Explicitly mention this package is using source format 1.0
  * Bump debhelper compatibility level to 7
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #540767
    - Russian (Yuri Kozlov).  Closes: #551573

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 Apr 2010 09:47:45 +0200

fwanalog (0.6.9-6) unstable; urgency=low

  * Fix bashism in fwanalog.sh. Thanks to Raphael Geissert. (Closes: #471419)
  * Added Portuguese debconf template translation. (Closes: #437271)
  * Removed debian/prerm.
  * debian/copyright converted to UTF-8.
  * Standards-Version bumped to 3.7.3.

 -- Emanuele Rocca <ema@debian.org>  Sun, 06 Apr 2008 09:42:42 +0200

fwanalog (0.6.9-5) unstable; urgency=low

  * Added Spanish debconf template translation, provided by Rudy Godoy.
    (Closes: #423690)
  * Specify debhelper compatibility level in debian/compat.

 -- Emanuele Rocca <ema@debian.org>  Sun, 29 Jul 2007 16:00:18 +0200

fwanalog (0.6.9-4) unstable; urgency=low

  * German po-debconf translation updated, provided by Erik Schanze.
    (Closes: #399273)

 -- Emanuele Rocca <ema@debian.org>  Fri, 22 Dec 2006 18:11:42 +0100

fwanalog (0.6.9-3) unstable; urgency=low

  * Dutch po-debconf translation updated. (Closes: #382939)
    Thanks to Kurt De Bree.
  * Japanese po-debconf translation updated. (Closes: #394129)
    Kudos to Hideki Yamane.

 -- Emanuele Rocca <ema@debian.org>  Sat, 21 Oct 2006 19:51:44 +0200

fwanalog (0.6.9-2) unstable; urgency=low

  * ipchains removed from the suggested packages. Etch will not support Linux 2.2
    (Closes: #382663)
  * Debconf templates changed to show full language names, replacing "us" with
    "English" (Closes: #381126)
  * Other modifications to the debconf messages to make them comply with the
    policy
  * Czech, French, Italian, Swedish and Vietnamese translations updated
  * Use Build-Depends rather than Build-Depends-Indep
  * Standards-Version bumped to 3.7.2

 -- Emanuele Rocca <ema@debian.org>  Sat, 12 Aug 2006 18:35:37 +0200

fwanalog (0.6.9-1) unstable; urgency=low

  * New upstream release. Solves the problem of multiple calls with
    the same output directory (Closes: #292069)
  * Examples added (Closes: #351905)
  * Swedish debconf templates translation added. (Closes: #330779)
    Thanks to Daniel Nylander <yeager@lidkoping.net>
  * Kudos to Jerome Warnier <jwarnier@beeznest.net> for his help

 -- Emanuele Rocca <ema@debian.org>  Wed,  8 Feb 2006 14:40:57 +0100

fwanalog (0.6.4-7) unstable; urgency=low

  * Use ${misc:Depends} to generate dependencies; fixes the debconf-2.0
    issue
  * gzip, grep and coreutils dependencies removed, they are Essential
  * Depend on adduser

 -- Emanuele Rocca <ema@debian.org>  Mon,  8 Aug 2005 20:42:11 +0200

fwanalog (0.6.4-6) unstable; urgency=low

  * Added Debconf po template translations:
    - Vietnamese, courtesy of Clytie Siddall (Closes: #311752)
    - Czech, thanks to Miroslav Kure (Closes: #308056)
  * Bumped Standards-Version

 -- Emanuele Rocca <ema@debian.org>  Mon, 11 Jul 2005 19:21:06 +0200

fwanalog (0.6.4-5) unstable; urgency=medium

  * Runs as non-root user (Closes: #283970)
    - User fwanalog created in postinst
    - Cron job executed as user fwanalog
    - fwanalog script moved from /usr/sbin to /usr/bin
    - Manpaged moved from section 8 to 1
    - Informations explaining the changes added to README.Debian
  * Cron job
    - sends mail correctly (Closes: #293313)
    - sources /etc/default/fwanalog and honors it
    - informations about the changes added to README.Debian
  * Debconf code rewritten and splitted into debian/config (questions)
    and debian/postinst (actions) (Closes: #298473)
  * Explainations about mklangfile removed from README.Debian since
    debian/postinst takes care about it
  * Minor errors fixed in fwanalog(1)
  * .sh extension removed where possible
  * Luca's email address updated in the "Uploaders" field
  * Kudos to Adam D. Barratt and Andre Lehovich for their suggestions
    about README.Debian

 -- Emanuele Rocca <ema@debian.org>  Wed, 16 Mar 2005 23:33:24 +0100

fwanalog (0.6.4-4) unstable; urgency=low

  * Added Dutch po-debconf translation, provided by Luk Claes
    <luk.claes@ugent.be>. (Closes: #253451)

 -- Emanuele Rocca <ema@debian.org>  Sun, 27 Jun 2004 12:43:39 +0200

fwanalog (0.6.4-3) unstable; urgency=low

  * Corrected configuration file inclusion. (Closes: #252904)
  * Added German debconf template translation, provided by Erik Schanze.
    (Closes: #252901)
  * Polished debconf po templates.

 -- Emanuele Rocca <ema@debian.org>  Sun,  6 Jun 2004 11:16:43 +0200

fwanalog (0.6.4-2) unstable; urgency=medium

  * 0.6.4-1 was wrongly uploaded as native.

 -- Emanuele Rocca <ema@debian.org>  Sun,  2 May 2004 19:55:13 +0200

fwanalog (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Added French debconf template translation, provided by Christian
    Perrier. Thanks Christian! (Closes: #240859)
  * Added mklangfile.it.sh to generate italian fwanalog language file,
    created by Luca Pasquali
  * "Uploaders" field added to debian/control

 -- Emanuele Rocca <ema@debian.org>  Sun, 02 May 2004 17:36:30 +0200

fwanalog (0.6.3-3) unstable; urgency=low

  * Package adopted. (Closes: #187027)
  * Removed relative paths. The upstream version assumes that config files
    are located in the same directory of the script itself; changed with
    /etc/fwanalog, /usr/share/fwanalog.
  * Avoid compressing mklangfile.de.sh, in order to allow correct
    configuration of the package if the user chooses German language.
    (Closes: #223981,#223980)
  * Check about $inputfiles added in fwanalog.sh, so that the script doesn't
    hang anymore if there are no input files available.
  * Changed postrm in order to remove correctly /etc/fwanalog (on purge) and
    /usr/share/fwanalog.
  * Changed path of the analog language file in debian/config.
  * Updated Brazilian Portuguese debconf template translation.
    Thanks to Andre Luis Lopes <andrelop@debian.org>. (Closes: #207971)
  * Added Japanese debconf template translation, kindly provided by
    Hideki Yamane <henrich@samba.gr.jp>. (Closes: #227260)
  * Added Italian debconf template translation.
  * Some debconf questions removed, adding defaults working on the 99%
    of the Debian systems.
  * Some configuration explainations added to README.Debian and
    configuration examples added. (Closes: #192265)
  * Long and short descriptions modified: s/iptables/firewall/ since the
    script is not only for iptables and list of other supported logfile
    formats added.
  * ipchains added to the list of suggested packages.
  * Manpage updated.
  * Updated Standards-Version.

 -- Emanuele Rocca <ema@debian.org>  Sat, 28 Feb 2004 23:05:38 +0100

fwanalog (0.6.3-2) unstable; urgency=low

  * really change Maintainer field (grrr pbuilder)

 -- Igor Genibel <igenibel@debian.org>  Tue,  1 Apr 2003 10:46:29 +0200

fwanalog (0.6.3-1) unstable; urgency=low

  * Orphan this package
  * New upstream release
  * New debconf templates management (po-debconf)
  * New debconf config file (Closes: #180809, #174721)
  * Now depends on coreutils instead of textutils (Closes: #175689)
  * fix bug that don't load the debian config file (Closes: #171915)
  * Fix emailing bug because fwanalog cron did pass wrong parameters
    (Closes: #180296)

 -- Igor Genibel <igenibel@debian.org>  Mon, 31 Mar 2003 19:35:14 +0200

fwanalog (0.6.1-4) unstable; urgency=high

  * Very bad typo fixed. fwanalog really uses the option file
    (Closes: #163023)
  * urgency high because this fix a grave bug that renders fwanalog
    unusable

 -- Igor Genibel <igenibel@debian.org>  Wed,  2 Oct 2002 08:56:04 +0200

fwanalog (0.6.1-3) unstable; urgency=low

  * New Maintainer (Closes: #162210)
  * remove /etc/cron.daily/fwanalog when purge (Closes: #162002)
  * remove unnecessary link to /usr/doc
  * remove the line that aimed to load the option file. This sourced
    recursivly the fwanalog shell file (Closes: #161638)
  * use DH_COMPAT 4
  * update manpage
  * fix multiple typos in README.Debian
  * remove menu configuration
  * create a mklangfile.fr.sh in order to cleanly generate fwanalog message
    file
  * resync brazilian templates (need to be updated)

 -- Igor Genibel <igenibel@debian.org>  Mon, 30 Sep 2002 17:09:48 +0200

fwanalog (0.6.1-2) unstable; urgency=low

  * Orphan it.

 -- Søren Boll Overgaard <boll@debian.org>  Tue, 24 Sep 2002 22:04:23 +0200

fwanalog (0.6.1-1) unstable; urgency=low

  * New upstream release (closes: Bug#146481).
  * New maintainer (closes: Bug#160774).
  * Fix the /usr/doc symlinking fun.

 -- Søren Boll Overgaard <boll@debian.org>  Fri, 13 Sep 2002 22:49:41 +0200

fwanalog (0.5.1-2) unstable; urgency=low

  * Added a helpful note to README.Debian (Andrew Shugg, Frederik Schueler).
    (Closes: #144771)
  * Work with other shells than bash.
    (Closes: #144859)
  * Remove unused directory (Ludovic Rousseau).
    (Closes: #146483)
  * Fixed translated Debconf templates, so they're no longer concentrated
    in a big file. Also added mklangfile.fr.sh and a French Debconf
    translation (Ludovic Rousseau).
    (Closes: #146509)
  * Bug filed against old version (Closes: #140453)
  * Honor cron-setting from debconf questions (Closes: #146653)
  * NMU by Søren Boll Overgaard, since maintainers new key has not yet
    been accepted into the keyring. Identity of maintainer has been
    rechecked.

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Tue, 23 Apr 2002 22:33:03 +0200

fwanalog (0.5.1-1) unstable; urgency=low

  * Danish translation of debconf-menus
  * Rearranged files, moving some files from /etc/fwanalog to
    /usr/share/fwanalog. This should also fix the irritating install-
    bugs (Closes: #129326)
  * New upstream version, mainly bugfixes irrelevant to Debian.
    However, support for iptables log-prefixes is added. (Closes: #125761)
  * Fixed a bug when using multiple log-files and iptables. Sent to upstream.
  * Discards output not from current month. Fixes large log-files (Closes: #115338)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Mon, 25 Feb 2002 00:24:28 +0100

fwanalog (0.4.1-2) unstable; urgency=low

  * Fixed a problem with /etc/fwanalog/fwanalog.opts (Closes: #125759)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Wed, 19 Dec 2001 09:12:36 +0100

fwanalog (0.4.1-1) unstable; urgency=low

  * New upstream release. Only change is a proper fix to bug #118833

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Tue, 27 Nov 2001 14:53:56 +0100

fwanalog (0.4-5) unstable; urgency=low

  * Fixed problem with fwanalog tripping on logged lines with ICMP TYPE=3
    (port unreachable). (Closes: #118833)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Mon, 19 Nov 2001 23:13:22 +0100

fwanalog (0.4-4) unstable; urgency=low

  * Fixed install-error (Closes: #117584)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Mon, 19 Nov 2001 21:58:19 +0100

fwanalog (0.4-3) unstable; urgency=low

  * Corrected dependencies. (Closes: #116052)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Thu, 18 Oct 2001 17:09:13 +0200

fwanalog (0.4-2) unstable; urgency=low

  * Properly wrap lines in README.debian (Closes: #113159)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sat, 22 Sep 2001 20:35:04 +0200

fwanalog (0.4-1) unstable; urgency=low

  * New upstream release
    --> Much faster with large logfiles
    --> Support for NetBSD
    --> -t option for updating only today's report (e.g. in an hourly cronjob)
    --> Added some common trojan ports
    --> Small bugfixes
  * Hopefully fixes the problem with not parsing everything. (Closes: #94850)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sat,  8 Sep 2001 17:12:02 +0200

fwanalog (0.2.1-6) unstable; urgency=low

  * Damn stupid spaces in debian/templates. I should learn to test better.
    (Closes: #111553)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Fri,  7 Sep 2001 10:50:38 +0200

fwanalog (0.2.1-5) unstable; urgency=low

  * Brazilian portuguese (pt_BR) translation of debconf/template courtesy of
    Andre Luis Lopes <andrelop@ig.com.bx> (Closes: #110185)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Thu,  6 Sep 2001 11:59:01 +0200

fwanalog (0.2.1-4) unstable; urgency=low

  * Changed how far back the logs are used (Closes: #107199)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sun, 12 Aug 2001 23:01:55 +0200

fwanalog (0.2.1-3) unstable; urgency=low

  * Corrections to man-page, powered by Jeronimo Pellegrini. (Closes: #102011)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sun, 24 Jun 2001 15:37:58 +0200

fwanalog (0.2.1-2) unstable; urgency=low

  * Removed "-c" from cron-job. (Closes: #100615)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Tue, 12 Jun 2001 19:24:02 +0200

fwanalog (0.2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #96394)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sun,  6 May 2001 22:10:31 +0200

fwanalog (0.2-5) unstable; urgency=low

  * Fixed log-rotation. (Closes: #94850)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Wed, 25 Apr 2001 20:08:00 +0200

fwanalog (0.2-4) unstable; urgency=low

  * Fixed 94581 for good, I hope. Please do test. Also, minor corrections
    here and there.

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Mon, 23 Apr 2001 16:44:19 +0200

fwanalog (0.2-3) unstable; urgency=low

  * Fixed bugs. (Closes: #94581)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sun, 22 Apr 2001 01:40:15 +0200

fwanalog (0.2-2) unstable; urgency=low

  * A lot more questions asked by debconf.

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Wed, 18 Apr 2001 23:21:02 +0200

fwanalog (0.2-1) unstable; urgency=low

  * New upstream release

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Wed, 18 Apr 2001 22:55:21 +0200

fwanalog (0.1.1-1) unstable; urgency=low

  * New upstream release
  * Upstream changes: device without MAC-support added, new config option
  * Support for both Analog v4.16 (woody/sid) and v4.01 (potato)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sun, 15 Apr 2001 20:17:22 +0200

fwanalog (0.1-3) unstable; urgency=low

  * Hmm. Three minor errors that I shouldn't have missed... (Closes: #93935)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sat, 14 Apr 2001 10:09:14 +0200

fwanalog (0.1-2) unstable; urgency=low

  * Actually learned sed :) - this is just a cosmetic change to debian/config,
    but I felt it was needed :)
  * Changed the default behavior of fwanalog - usually, it just reported
    which ports were blocked, but with the machine's own IP. Now, it reports
    the source-IP.
  * Fixed a small bug: it wouldn't work on interfaces without a MAC address
    (ie. ppp0)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Fri, 13 Apr 2001 17:27:41 +0200

fwanalog (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #93585)

 -- Kenneth Vestergaard Schmidt <charon@debian.org>  Wed, 11 Apr 2001 00:03:29 +0200
